<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XVpnGatewayMember StructType
 * @subpackage Structs
 */
class XVpnGatewayMember extends AbstractStructBase
{
    /**
     * The issuerName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $issuerName;
    /**
     * The serialNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $serialNumber;
    /**
     * Constructor method for XVpnGatewayMember
     * @uses XVpnGatewayMember::setIssuerName()
     * @uses XVpnGatewayMember::setSerialNumber()
     * @param string $issuerName
     * @param string $serialNumber
     */
    public function __construct($issuerName = null, $serialNumber = null)
    {
        $this
            ->setIssuerName($issuerName)
            ->setSerialNumber($serialNumber);
    }
    /**
     * Get issuerName value
     * @return string
     */
    public function getIssuerName()
    {
        return $this->issuerName;
    }
    /**
     * Set issuerName value
     * @param string $issuerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGatewayMember
     */
    public function setIssuerName($issuerName = null)
    {
        $this->issuerName = $issuerName;
        return $this;
    }
    /**
     * Get serialNumber value
     * @return string
     */
    public function getSerialNumber()
    {
        return $this->serialNumber;
    }
    /**
     * Set serialNumber value
     * @param string $serialNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGatewayMember
     */
    public function setSerialNumber($serialNumber = null)
    {
        $this->serialNumber = $serialNumber;
        return $this;
    }
}
